using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using xabaraCOM;

public partial class member_pay_onlineMoneyList : System.Web.UI.Page
{
    user u = new user();
    sqlServer sql = new sqlServer();

    protected void Page_Load(object sender, EventArgs e)
    {
        u.check("", url.currently);

        Page.Title = "汇款确认查询　" + xml.read("xabara.config", "webName", 180);

        if (!IsPostBack)
        {
            string strSql = "select * from moneyBankRemit where uID='" + u.userCardID + "' order by rID DESC ";
            lblCurrentPage.Text = sql.RepeaterDB(RepeaterList, strSql, string.Empty, 20, "page", "center", true);
            RepeaterList.Dispose();
        }
    }

    public string getM(string str)
    {
        string returnStr = string.Empty;
        if (Convert.ToDouble(str) > 0)
        {
            returnStr = rmb.format(str);
        }
        return returnStr;
    }

    public string getFlag(string str)
    {
        string returnStr = string.Empty;
        switch (str)
        {
            case "0":
                returnStr = "正在审核";
                break;
            case "1":
                returnStr = "已处理";
                break;
            case "11":  //在线充值
                returnStr = "<font color=blue>充值失败</font>";
                break;
            case "12":  //在线充值
                returnStr = "充值成功";
                break;
            default:
                returnStr = "<font color=red>无法核实</font>";
                break;
        }
        return returnStr;
    }
}